[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [tor-browser-bundle/master] Call gitian-pluggable-transports.yml from mkbundle-windows.sh.
commit 4e7f5b548dc1fbc166b692dddb52c9f99119f68c
Author: David Fifield <david@xxxxxxxxxxxxxxx>
Date: Sun Nov 17 10:03:46 2013 +0000
Call gitian-pluggable-transports.yml from mkbundle-windows.sh.
---
gitian/mkbundle-windows.sh | 33 +++++++++++++++++++++++++++------
1 file changed, 27 insertions(+), 6 deletions(-)
diff --git a/gitian/mkbundle-windows.sh b/gitian/mkbundle-windows.sh
index fd0cf42..989c2a9 100755
--- a/gitian/mkbundle-windows.sh
+++ b/gitian/mkbundle-windows.sh
@@ -80,7 +80,7 @@ cd $GITIAN_DIR
if [ ! -f $GITIAN_DIR/inputs/tor-win32-gbuilt.zip ];
then
echo
- echo "****** Starting Tor Component of Windows Bundle (1/3 for Windows) ******"
+ echo "****** Starting Tor Component of Windows Bundle (1/4 for Windows) ******"
echo
./bin/gbuild -j $NUM_PROCS --commit openssl=$OPENSSL_TAG,zlib=$ZLIB_TAG,libevent=$LIBEVENT_TAG,tor=$TOR_TAG $DESCRIPTOR_DIR/windows/gitian-tor.yml
@@ -94,14 +94,14 @@ then
#cp -a result/tor-windows-res.yml $GITIAN_DIR/inputs/
else
echo
- echo "****** SKIPPING already built Tor Component of Windows Bundle (1/3 for Windows) ******"
+ echo "****** SKIPPING already built Tor Component of Windows Bundle (1/4 for Windows) ******"
echo
fi
if [ ! -f $GITIAN_DIR/inputs/tor-browser-win32-gbuilt.zip ];
then
echo
- echo "****** Starting Torbrowser Component of Windows Bundle (2/3 for Windows) ******"
+ echo "****** Starting Torbrowser Component of Windows Bundle (2/4 for Windows) ******"
echo
./bin/gbuild -j $NUM_PROCS --commit tor-browser=$TORBROWSER_TAG $DESCRIPTOR_DIR/windows/gitian-firefox.yml
@@ -115,14 +115,35 @@ then
#cp -a result/torbrowser-windows-res.yml $GITIAN_DIR/inputs/
else
echo
- echo "****** SKIPPING already built Torbrowser Component of Windows Bundle (2/3 for Windows) ******"
+ echo "****** SKIPPING already built Torbrowser Component of Windows Bundle (2/4 for Windows) ******"
+ echo
+fi
+
+if [ ! -f $GITIAN_DIR/inputs/pluggable-transports-win32-gbuilt.zip ];
+then
+ echo
+ echo "****** Starting Pluggable Transports Component of Windows Bundle (3/4 for Windows) ******"
+ echo
+
+ ./bin/gbuild -j $NUM_PROCS --commit openssl=$OPENSSL_TAG $DESCRIPTOR_DIR/windows/gitian-pluggable-transports.yml
+ if [ $? -ne 0 ];
+ then
+ #mv var/build.log ./pluggable-transports-fail-win32.log.`date +%Y%m%d%H%M%S`
+ exit 1
+ fi
+
+ cp -a build/out/pluggable-transports-win32-gbuilt.zip $GITIAN_DIR/inputs/
+ #cp -a result/pluggable-transports-windows-res.yml $GITIAN_DIR/inputs/
+else
+ echo
+ echo "****** SKIPPING already built Pluggable Transports Component of Windows Bundle (3/4 for Windows) ******"
echo
fi
if [ ! -f $GITIAN_DIR/inputs/bundle-windows.gbuilt ];
then
echo
- echo "****** Starting Bundling+Localization of Windows Bundle (3/3 for Windows) ******"
+ echo "****** Starting Bundling+Localization of Windows Bundle (4/4 for Windows) ******"
echo
cp -a $WRAPPER_DIR/$VERSIONS_FILE $GITIAN_DIR/inputs/versions
@@ -140,7 +161,7 @@ then
touch $GITIAN_DIR/inputs/bundle-windows.gbuilt
else
echo
- echo "****** SKIPPING Bundling+Localization of Windows Bundle (3/3 for Windows) ******"
+ echo "****** SKIPPING Bundling+Localization of Windows Bundle (4/4 for Windows) ******"
echo
fi
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits